Bug 1128152 - fail2ban pam-generic jail uses /var/log/auth.log, which does not exist
Summary: fail2ban pam-generic jail uses /var/log/auth.log, which does not exist
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fail2ban
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=samxan
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 12:45 UTC by Jonathan Kamens
Modified: 2015-06-30 01:36 UTC (History)
6 users (show)

Fixed In Version: 0.9.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:36:29 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2014-08-08 12:45:10 UTC
From /etc/fail2ban/jail.conf:

[pam-generic]
# pam-generic filter can be customized to monitor specific subset of 'tty's     
banaction = iptables-allports
logpath  = /var/log/auth.log

But /var/log/auth.log doesn't exist on my system and I don't see any evidence that it should.

I believe fail2ban should be looking at /var/log/secure.

I just discovered this bug, and the fact that because of this bug my system hasn't been protected by fail2ban since I installed the most recent fail2ban update on May 29, since fail2ban crashes when it encounters a configured log file that it can't open. That's presumably true for every other Fedora 20 user of fail2ban who installed this update.

Wow, that's bad.

Comment 1 Jonathan Kamens 2014-08-08 12:45:57 UTC
Minor correction... pam-generic is disabled by default, so this is only going to cause fail2ban to crash for people who have enabled it.

Comment 2 Jonathan Kamens 2014-08-08 12:48:06 UTC
The logpath for the xinetd-fail jail is also wrong -- /var/log/daemon.log, which also does not exist on Fedora.

Comment 3 Fedora Admin XMLRPC Client 2015-02-25 18:57:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Orion Poplawski 2015-03-02 20:04:14 UTC
This is fixed in 0.9.1-1.fc20:

[pam-generic]
# pam-generic filter can be customized to monitor specific subset of 'tty's
banaction = iptables-allports
logpath  = %(syslog_authpriv)s

Comment 5 Fedora Update System 2015-03-02 20:08:16 UTC
fail2ban-0.9.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-15988/fail2ban-0.9.1-1.fc20

Comment 6 Fedora Update System 2015-05-21 04:18:29 UTC
fail2ban-0.9.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fail2ban-0.9.2-1.fc20

Comment 7 Fedora Update System 2015-05-22 17:58:21 UTC
Package fail2ban-0.9.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fail2ban-0.9.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8727/fail2ban-0.9.2-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora End Of Life 2015-05-29 12:35:11 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-30 01:36:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.